Ask Your Question
1

android_tutorial_hokuyo dependency not satisfied

asked 2012-05-20 08:38:23 -0500

Sam_h gravatar image

Dear All,

My android_core build fails due to a dependency problem, and I tired everything that I thought might help but unfortunately didn't solve my problem, here is the output of my ./gradlew debug:

:android_tutorial_hokuyo:deployLibs

FAILURE: Build failed with an exception.

* What went wrong:
Could not resolve all dependencies for configuration ':android_tutorial_hokuyo:compile'.
> Could not find group:ros.google, module:hokuyo, version:0.0.0-SNAPSHOT.
  Required by:
      ros.android_core:android_tutorial_hokuyo:0.0.0-SNAPSHOT

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

I appreciate any help that might solve the problem.

Thank you.

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
3

answered 2012-05-20 21:31:20 -0500

Kat gravatar image

You should build google first. roscd google ./gradlew install

This should fix it. And then you will probably get the ant errors again but you know what to do with them.

edit flag offensive delete link more
0

answered 2012-05-21 03:26:47 -0500

Sam_h gravatar image

Thank you, I'll try that and will let you know.

I'm so grateful for your helps.

edit flag offensive delete link more
0

answered 2012-05-21 04:31:19 -0500

Sam_h gravatar image

updated 2012-05-21 04:31:38 -0500

You're a life saver, thank you thank you.

It solved the problem.

edit flag offensive delete link more

Comments

No problem!

Kat gravatar image Kat  ( 2012-05-21 04:37:52 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-05-20 08:38:23 -0500

Seen: 287 times

Last updated: May 21 '12